Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class BeanValidatorServiceImpl

    java.lang.Object
      org.richfaces.validator.BeanValidatorServiceImpl

All Implemented Interfaces:
  org.richfaces.validator.BeanValidatorService

    public class BeanValidatorServiceImpl

extends Object
implements org.richfaces.validator.BeanValidatorService

Author:
  asmirnov

Nested Class Summary
`protected static class` | `BeanValidatorServiceImpl.ValidatorKey` Class for identify validator instance by locale

Constructor Summary
`BeanValidatorServiceImpl(org.richfaces.el.ValueExpressionAnalayser analayser, org.richfaces.validator.BeanValidatorFactory validatorFactory)`

Method Summary
`Collection<org.richfaces.validator.ValidatorDescriptor>` | `getConstrains(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, String message, Class<?>... groups)`
`protected Collection<String>` | `validate(javax.faces.context.FacesContext facesContext, Class<?> beanType, String property, Object value, Class<?>[] groups)`
`Collection<String>` | `validateExpression(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, Object newValue, Class<?>... groups)`
`Collection<String>` | `validateObject(javax.faces.context.FacesContext context, Object value, Class<?>... groups)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanValidatorServiceImpl

    public BeanValidatorServiceImpl(org.richfaces.el.ValueExpressionAnalayser analayser,
                                    org.richfaces.validator.BeanValidatorFactory validatorFactory)

Method Detail

### getConstrains

    public Collection<org.richfaces.validator.ValidatorDescriptor> getConstrains(javax.faces.context.FacesContext context,
                                                                                 javax.el.ValueExpression expression,
                                                                                 String message,
                                                                                 Class<?>... groups)

  Specified by:
    `getConstrains` in interface `org.richfaces.validator.BeanValidatorService`

### validateExpression

    public Collection<String> validateExpression(javax.faces.context.FacesContext context,
                                                 javax.el.ValueExpression expression,
                                                 Object newValue,
                                                 Class<?>... groups)

  Specified by:
    `validateExpression` in interface `org.richfaces.validator.BeanValidatorService`

### validate

    protected Collection<String> validate(javax.faces.context.FacesContext facesContext,
                                          Class<?> beanType,
                                          String property,
                                          Object value,
                                          Class<?>[] groups)

### validateObject

    public Collection<String> validateObject(javax.faces.context.FacesContext context,
                                             Object value,
                                             Class<?>... groups)

  Specified by:
    `validateObject` in interface `org.richfaces.validator.BeanValidatorService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.